/*
	CDROM Manager
	Copyright (c) 1994~1995 Marco Savegnago
*/

#include "cdmgr.h"

CDROMManager* cdroms;

Boolean	AllocCDROMS(word	wMaxCDROM,	word volume)
{
	//	Alloca il cdrom manager

	cdroms	=	new CDROMManager;

	//	Vede quanti ce ne sono

	cdroms->FindCDRomDrives();

	if(wMaxCDROM!=cdroms->getNumOfDrives())
		return False;

	//	Chiude i cassetti se sono aperti

	cdroms->CloseTrayAll();

	//	Li legge

	cdroms->ReadCDROMS();

	//	Li resetta

	cdroms->ResetDrives();

	//  Eventualmente li ferma

	cdroms->StopAll();

	//	Blocca tutti i cassetti

//	cdroms->LockAll();

	//	Imposta il volume a 1V pp in uscita	(236)

	cdroms->setAllVolume(volume);

	return True;
}

void	DeallocateCDROMS()
{
	//	Sblocca tutti i cassetti

	cdroms->UnlockAll();

	//	Ferma tutti i CD

	cdroms->StopAll();

	//	Cancella la collezione

	delete cdroms;
}

